<?php
namespace Claromentis\Stat;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array();
use Claromentis\Core\DAL;
use Date;




interface StatProviderInterface
{
    
    
    
    
    
    
    public function GetStatCollectorData() : array;
    
    
    
    
    
    
    public function SetStatReporter(StatReporter $statreporter);
    
    
    
    
    
    
    public function GetName() : string;
    
    
    
    
    
    
    public function GetIconClass() : string;
    
    
    
    
    
    
    public function GetChartType() : string;
    
    
    
    
    
    
    public function GetSeries() : array;
    
    
    
    
    
    
    public function GetSeriesTooltips() : array;
    
    
    
    
    
    
    
    public function GetSeriesData(int $chart_series) : array;
    
    
    
    
    
    
    
    
    public function GetAllSeriesTotalCount() : int;
    
    
    
    
    
    
    public function GetAllSeriesTotalCountText() : string;
    
    
    
    
    
    
    public function GetAllSeriesDailyAverageCount() : float;
    
    
    
    
    
    
    public function GetAllSeriesDailyAverageCountText() : string;
    
    
    
    
    
    
    public function GetPageTitle() : string;
    
    
    
    
    
    
    public function GetTemplateFilename() : string;
    
    
    
    
    
    
    
    
    
    public function GetTemplateArgs(Date $date_from, Date $date_to) : array;
}